#
# spec file for package xauth
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xauth
Version:        1.0.10
Release:        lp152.3.6
Summary:        Utility to edit and display the X authorization information
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch1:         xauth-tolerant-hostname-changes.diff
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# Name of subpackage when this was part of the xorg-x11 package up to version 7.6
Provides:       xorg-x11-xauth = 7.6
Obsoletes:      xorg-x11-xauth <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xauth program is used to edit and display the authorization
information used in connecting to the X server.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xauth
%{_mandir}/man1/xauth.1%{?ext_man}

%changelog
* Wed Feb  1 2017 sndirsch@suse.com
- Update to version 1.0.10
  * include POSIX-standard limits.h for PATH_MAX instead of sys/syslimits.h
  * autogen.sh: Honor NOCONFIGURE=1
  * Clarified RELEASING in README
  * Fix for xauth failing on ENOSPC (= disk full)
  * autogen.sh: use quoted string variables
  * Update DISPLAY parsing to work with new launchd paths in Yosemite
  * Fix !HAVE_STRLCPY case
  * Build xauth before running tests.
  * autogen: add default patch prefix
  * autogen.sh: stop using maintainer mode
  * autogen.sh: use exec instead of waiting for configure to finish
  * usage(): Print summary for the -n option
* Wed May  7 2014 sndirsch@suse.com
- Update to version 1.0.9
  * Add AC_USE_SYSTEM_EXTENSIONS to expose non-standard extensions
  * Do not install test_xauth during "make install" as it is
  * Fix warning about warn_unused_result triggered by WRITES.
  * Fixed missing EXTRA_DIST in tests. Extended README for releasing.
* Fri Oct 25 2013 sndirsch@suse.com
- Update to version 1.0.8
  * Fix a long standing problem that for ssh tunneled connections a
    display variable of the form: localhost:<N>.<M> leads to correct
    authorization when an X client is started but "xauth list $DISPLAY"
    returns nothing.
  * Fix for: If using GDM with XDMCP, then ssh is not able to start X11
    clients on the remote side. You get a "No xauth data; using fake
    authentication data for X11 forwarding." from SSH.
- obsoletes xauth-1.0.2.diff,
  u_xauth_Look-for-FamilyLocal-if-inet-or-inet6-addr.patch
- adjusted xauth-tolerant-hostname-changes.diff
- added new test_xauth tool to %%files section
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.7:
  + Remove alarm handler in get_hostname
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + convert strlen/malloc/strcpy combo to strdup
- Changes from version 1.0.6:
  + auth_finalize: Attempt to rename() if link() fails
  + Error out and avoid a call to malloc(0) if given a bad hex
    string
  + Build system fixes.
- Rebase xauth-tolerant-hostname-changes.diff.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xauth from xorg-x11. Initial version: 1.0.5.
